# Create an invitation to a collection

Creates an invitation to the matching collection.

Endpoint: POST /collections/{collection_id}/invitations
Version: v4
Security: APIToken

## Path parameters:

  - `collection_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgiju-21olts-ce9egi"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

## Request fields (application/json):

  - `data` (object, required)

  - `data.attributes` (object, required)

  - `data.attributes.email` (string, required)
    Email address of invitee.
    Example: "test@example.com"

  - `data.attributes.permission_level` (string, required)
    Access to grant invitee.

> Note: owner is only valid when inviting someone to an Organization.

Learn more about the permission levels you can grant Users in our Knowledge Base article on User Permissions.
    Enum: "guest", "collaborator", "admin", "owner"

  - `data.attributes.personal_message` (string)
    A message for invitee.
    Example: "Welcome to my Brandfolder!"

  - `data.attributes.prevent_email` (boolean)
    Set this to true to skip sending an invitation email to the invitee.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.attributes` (object)

  - `data.attributes.id` (string, required)
    Unique identifier for the resource instance.
    Example: "a3dlao-hd6so4-7d91d2"

  - `data.attributes.type` (string, required)
    The type of the resource.
    Enum: "invitations"

  - `data.attributes.attributes` (object, required)

  - `data.attributes.attributes.email` (string, required)
    Email address of the recipient.
    Example: "test@example.com"

  - `data.attributes.attributes.permission_level` (string)
    Access to grant the recipient.
    Example: "guest"

  - `data.attributes.attributes.personal_message` (string)
    A message for the recipient.
    Example: "Welcome to my Brandfolder!"

  - `data.attributes.attributes.invitation_url` (string)
    The invitation's URL.
    Example: "https://brandfolder.com/invitations/abc123"

  - `meta` (object, required)

  - `meta.auto_accepted` (boolean)


